// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_DATASTRUCTURES_DIMENSIONAL_DIMENSIONALDATASTRUCTURE_H
#define DDICORE_40_PIM_CLASSES_DATASTRUCTURES_DIMENSIONAL_DIMENSIONALDATASTRUCTURE_H

/************************************************************
 DimensionalDataStructure class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/Pkg_Dimensional.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace DataStructures {
namespace Dimensional {

/************************************************************/
/**
 * Definition
 * ============
 * A multi-dimensional array of DataPoints. 
 * Categorical additivity means each dimension may be able to be aggregated, either
 *   by collapsing a dimension, OR
 *   by aggregating into super-ordinate categories along a dimension
 * 
 * 
 * Examples
 * ==========
 * structure for cube using race, sex, marital status as dimensions, where
 *   Sex = male, female
 *   Race = white, black, Asian, other
 *   Marital status = single, married, divorced, widowed
 * 
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
class DimensionalDataStructure {
public:

	/**
	 *  
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. 
	 */
	name[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Dimensional
} // of namespace DataStructures
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of DimensionalDataStructure class header
 ************************************************************/

#endif
