// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_DATASTRUCTURES_DIMENSIONAL_SCOPEDMEASURE_H
#define DDICORE_40_PIM_CLASSES_DATASTRUCTURES_DIMENSIONAL_SCOPEDMEASURE_H

/************************************************************
 ScopedMeasure class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/Pkg_Dimensional.h"

#include "DDICore_40_PIM/Classes/Conceptual/InstanceVariable.h"
#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/DimensionalKeyDefintion.h"
#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/QualifiedMeasure.h"
#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/RevisableDatum.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace DataStructures {
namespace Dimensional {

/************************************************************/
/**
 * Definition
 * ============
 * A Qualified Measure whose domain is a Universe as an aggregate, ie a measure with a specific production method applied to a specific cell in a Cube.
 * 
 * Examples
 * ==========
 * Seasonally adjusted income for Single, Asian, Females
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
class ScopedMeasure: public ::DDICore_40_PIM::Classes::Conceptual::InstanceVariable {
public:

	/**
	 * ????????
	 */
	frequency;

	/**
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. 
	 */
	name[];

	/**
	 * 
	 */
	RevisableDatum;

	/**
	 * 
	 */
	QualifiedMeasure;

	/**
	 * 
	 */
	DimensionalKeyDefintion;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Dimensional
} // of namespace DataStructures
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ScopedMeasure class header
 ************************************************************/

#endif
