// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_FORMATDESCRIPTION_PHYSICALDATASET_H
#define DDICORE_40_PIM_CLASSES_FORMATDESCRIPTION_PHYSICALDATASET_H

/************************************************************
 PhysicalDataSet class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/FormatDescription/Pkg_FormatDescription.h"

#include "DDICore_40_PIM/Classes/Conceptual/Concept.h"
#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/Classes/LogicalDataDescription/DataStore.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace FormatDescription {

/************************************************************/
/**
 * Definition
 * ============
 * The information needed for understanding the physical structure of data coming from a file or other source. A StructureDescription also points to the Data Store it physically represents.
 * 
 * Examples
 * ==========
 * The PhysicalDataProduct is the entry point for information about a file or other source. It includes information about the name of a file, the structure of segments in a file and the layout of segments.
 * 
 * Explanatory notes
 * ===================
 * Multiple styles of structural description are supported: including describing files as unit-record (UnitSegmentLayout) files; describing cubes; and describing event-history (spell) data.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * p:PhysicalDataProductType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class PhysicalDataSet: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * When duplicates is true it means the same Member can appear more than once in the Collection. In this case, the Collection is a Bag. 
	 * 
	 * When duplicates is false, then every Member is unique in the Collection. In this case, the Collection is a Set.
	 * 
	 */
	::PrimitiveTypes::Boolean duplicates;

	/**
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided <font color="#dc143c">then a context to differentiate usage must be provided as well</font>.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name;

	/**
	 * The number of segments in a Physical Data Product
	 */
	::PrimitiveTypes::Integer numberOfSegments;

	/**
	 * Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString overview;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::Concept [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::LogicalDataDescription::DataStore [];

	/**
	 * Use when multiple physical segments are stored in a single file
	 */
	::PrimitiveTypes::String physicalFileName;

	/**
	 * An explanation of the purpose of the physical dataset
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace FormatDescription
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of PhysicalDataSet class header
 ************************************************************/

#endif
