// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_FORMATDESCRIPTION_PHYSICALRECORDSEGMENT_H
#define DDICORE_40_PIM_CLASSES_FORMATDESCRIPTION_PHYSICALRECORDSEGMENT_H

/************************************************************
 PhysicalRecordSegment class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/FormatDescription/Pkg_FormatDescription.h"

#include "DDICore_40_PIM/Classes/Conceptual/Concept.h"
#include "DDICore_40_PIM/Classes/Conceptual/Population.h"
#include "DDICore_40_PIM/Classes/FormatDescription/DataPointPosition.h"
#include "DDICore_40_PIM/Classes/FormatDescription/PhysicalDataSet.h"
#include "DDICore_40_PIM/Classes/FormatDescription/PhysicalSegmentLayout.h"
#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/Classes/LogicalDataDescription/LogicalRecord.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace LogicalDataDescription {
class DataPoint;
}
}
}

namespace DDICore_40_PIM {
namespace Classes {
namespace FormatDescription {

/************************************************************/
/**
 * Definition
 * ============
 * A description of each physical storage segment required to completely cover the logical record. A logical record may be stored in one or more segments housed hierarchically in a single file or in separate data files. All logical records have at least one segment.
 * 
 * Examples
 * ==========
 * The file below has four InstanceVariables: PersonId, SegmentId, AgeYr, HeightCm. The data for each person (identified by PersonId) is recorded in two segments (identified by SegmentId), "a" and "b". AgeYr is on physical segment a, and HeightCm is on segment b. These are the same data as described in the UnitSegmentLayout documentation.
 * 1 a  22
 * 1 b 183
 * 2 a 45
 * 2 b 175
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * p:PhysicalRecordSegmentType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class PhysicalRecordSegment: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * When duplicates is true it means the same Member can appear more than once in the Collection. In this case, the Collection is a Bag. 
	 * 
	 * When duplicates is false, then every Member is unique in the Collection. In this case, the Collection is a Set.
	 */
	::PrimitiveTypes::Boolean duplicates;

	/**
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided <font color="#dc143c">then a context to differentiate usage must be provided as well</font>.
	 * 
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name[];

	/**
	 * 
	 */
	PhysicalDataSet [];

	/**
	 * 
	 */
	PhysicalSegmentLayout;

	/**
	 * 
	 */
	DataPointPosition [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::Concept [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::LogicalDataDescription::DataPoint* [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::LogicalDataDescription::LogicalRecord;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::Population;

	/**
	 * Use when each physical segment is stored in its own file.
	 */
	::PrimitiveTypes::String physicalFileName;

	/**
	 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace FormatDescription
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of PhysicalRecordSegment class header
 ************************************************************/

#endif
