// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_FORMATDESCRIPTION_PHYSICALSEGMENTLOCATION_H
#define DDICORE_40_PIM_CLASSES_FORMATDESCRIPTION_PHYSICALSEGMENTLOCATION_H

/************************************************************
 PhysicalSegmentLocation class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/FormatDescription/Pkg_FormatDescription.h"

#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace FormatDescription {

/************************************************************/
/**
 * Definition
 * ============
 * Among other things defines the location of a DataPoint in a PhysicalSegment (e.g. the location of the representation of a variable in a text file). This is abstract since there are many different ways to describe the location of a segment - character counts, start and end times, etc.
 * 
 * Examples
 * ==========
 * A segment of text in a plain text file beginning at character 3 and ending at character 123.
 * 
 * Explanatory notes
 * ===================
 * While this has no properties or relationships of its own, it is useful as a target of relationships where its extensions may serve.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class PhysicalSegmentLocation: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace FormatDescription
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of PhysicalSegmentLocation class header
 ************************************************************/

#endif
