// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CODE_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CODE_H

/************************************************************
 Code class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Conceptual/Category.h"
#include "DDICore_40_PIM/Classes/Representations/CodeList.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * Sign for which the Signifier is non-linguistic alphanumeric string 
 * 
 * Examples
 * ==========
 * The letter M might stand for the category Male in the CodeList called Gender.
 * 
 * Explanatory notes
 * ===================
 * A non-linguistic alphanumeric string is one which does not correspond to a word in natural language.
 * For use in a Code List. The representation property (Value) is expressed as it would be found in a data file. Multiple representations may relate to the same Category but should be expressed as separate Codes.
 * 
 * It should not be confused with a ClassificationItem which is a placeholder for a position in a StatisticalClassification. It contains a Designation, for which Code is a kind; a Category; and other things. For example, in 2012 NAICS (North American Industry Classification System) one Classification Item has the Code 23 and the Category construction.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * l:CodeType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Code
 */
class Code {
public:

	/**
	 * 
	 */
	CodeList [];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::Category;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Code class header
 ************************************************************/

#endif
