// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_CATEGORYSTATISTIC_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_CATEGORYSTATISTIC_H

/************************************************************
 CategoryStatistic class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/Representations/Designation.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Statistic.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ValueString.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Statistics related to a specific category of an InstanceVariable within a data set.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * pi:CategoryStatisticType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class CategoryStatistic {
public:

	/**
	 * Value of the category to which the statistics apply
	 */
	ValueString categoryValue;

	/**
	 * The value of the filter variable to which the category statistic is restricted
	 */
	ValueString filterValue;

	/**
	 * The value of the identified type of statistic for the category. May be repeated to provide unweighted or weighted values and different computation bases.
	 */
	Statistic hasStatistic[];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Representations::Designation;

	/**
	 * Type of category statistic. Supports the use of an external controlled vocabulary. DDI strongly recommends the use of a controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry typeOfCategoryStatistic;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of CategoryStatistic class header
 ************************************************************/

#endif
