// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_CONTACTINFORMATION_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_CONTACTINFORMATION_H

/************************************************************
 ContactInformation class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Address.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ElectronicMessageSystem.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Email.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Telephone.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/WebLink.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Contact information for the individual or organization including location specification, address, web site, phone numbers, and other means of communication access. Address, location, telephone, and other means of communication can be repeated to express multiple means of a single type or change over time. Each major piece of contact information contains the element EffectiveDates in order to date stamp the period for which the information is valid.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * a:ContactInformationType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class ContactInformation {
public:

	/**
	 * Electronic messaging other than email
	 */
	ElectronicMessageSystem electronicMessaging[];

	/**
	 * The address for contact.
	 */
	Address hasAddress[];

	/**
	 * Email contact information
	 */
	Email hasEmail[];

	/**
	 * Telephone for contact
	 */
	Telephone hasTelephone[];

	/**
	 * The URL of the Agent's website
	 */
	WebLink website[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ContactInformation class header
 ************************************************************/

#endif
