// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_ELECTRONICMESSAGESYSTEM_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_ELECTRONICMESSAGESYSTEM_H

/************************************************************
 ElectronicMessageSystem class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Any non-email means of relaying a message electronically. This would include text messaging, Skype, Twitter, ICQ, or other emerging means of electronic message conveyance. 
 * 
 * Examples
 * ==========
 * Skype account, etc.
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * a:InstantMessagingType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class ElectronicMessageSystem {
public:

	/**
	 * Account identification for contacting
	 */
	::PrimitiveTypes::String contactAddress;

	/**
	 * Time period during which the account is valid.
	 */
	DateRange effectiveDates;

	/**
	 * Set to "true" if this is the preferred address.
	 */
	::PrimitiveTypes::Boolean isPreferred;

	/**
	 * Specify the level privacy for the address as public, restricted, or private. Supports the use of an external controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry privacy;

	/**
	 * Indicates the type of service used. Supports the use of a controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry typeOfService;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ElectronicMessageSystem class header
 ************************************************************/

#endif
