// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LINEPARAMETER_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LINEPARAMETER_H

/************************************************************
 LineParameter class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Specification of the line and offset for the beginning and end of the segment.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:LineParameterType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class LineParameter {
public:

	/**
	 * Number of lines from beginning of the document.
	 */
	::PrimitiveTypes::Integer endLine;

	/**
	 * Number of characters from the start of the line specified in EndLine.
	 */
	::PrimitiveTypes::Integer endOffset;

	/**
	 * Number of lines from beginning of the document.
	 */
	::PrimitiveTypes::Integer startLine;

	/**
	 * Number of characters from start of the line specified in StartLine.
	 */
	::PrimitiveTypes::Integer startOffset;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of LineParameter class header
 ************************************************************/

#endif
