// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LOCALIDFORMAT_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LOCALIDFORMAT_H

/************************************************************
 LocalIdFormat class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * This is an identifier in a given local context that uniquely references an object, as opposed to the full ddi identifier which has an agency plus the id.
 * 
 * Examples
 * ==========
 * The name of a variable within a dataset is a localId. Software systems might use their own identifier systems for performance reasons (e.g. incrementing integers).
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class LocalIdFormat {
public:

	/**
	 * Type of identifier, specifying the context of the identifier.
	 */
	::PrimitiveTypes::String localIdType;

	/**
	 * Value of the local ID.
	 */
	::PrimitiveTypes::String localIdValue;

	/**
	 * Version of the Local ID.
	 */
	::PrimitiveTypes::String localIdVersion;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of LocalIdFormat class header
 ************************************************************/

#endif
