// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Conceptual;

/************************************************************/
/**
 * Definition
  * ============
  * specialized UnitType, with the specialization based upon characteristics other than time and geography
  * 
  * Examples
  * ==========
  * 1. Canadian adults (not limited to those residing in Canada)
  * 2. Computer companies 
  * 3. Universities
  * 
  * Explanatory notes
  * ===================
  * Universe sits in a hierarchy between UnitType and Population, with UnitType being most general and Population most specific. A Universe is a set of entities defined by a more narrow specification than that of an underlying UnitType. A Population further narrows the specification to a specific time and geography.
  * 
  * If the Universe consists of people, a number of factors may be used in defining membership in the Universe, such as age, sex, race, residence, income, veteran status, criminal convictions, etc. The universe may consist of elements other than persons, such as housing units, court cases, deaths, countries, etc. A universe may be described as "inclusive" or "exclusive". 
  * 
  * Not to be confused with Population, which includes the specification of time and geography.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * c:UniverseType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Population
 */
public class Universe extends Concept
 {
				/**
				 * A short natural language account of the characteristics of the object.
				 */
				public InternationalStructuredString descriptiveText;
				/**
				 * Default value is True. The description statement of a universe is generally stated in inclusive terms such as "All persons with university degree". Occasionally a universe is defined by what it excludes, i.e., "All persons except those with university degree". In this case the value would be changed to "false".
				 */
				public boolean isInclusive;
				/**
				 * 
				 */
				public Concept[] ;
				/**
				 * 
				 */
				public UnitType ;
};
