// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.DataStructures.Components;

/************************************************************/
/**
 * Definition
  * ============
  * role given to a Represented Variable in the context of a Data Structure, which supplies meaning to a cell in a multi-dimensional structure
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * The categories from each dimension often are used to identify a cell. However, the meaning of the combination of the categories supplies meaning to the cell.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * 
 */
public class DimensionComponent extends DataStructureComponent
 {
				/**
				 * True if Categories can be added together (collapsed together) to create higher level Categories.  An example would be age categories. Five year age categories can be collapsed into 10 year age categories.
				  * 
				 */
				public boolean categoricalAdditivity;
				/**
				 * 
				 */
				public KeyValueStructure ;
				/**
				 * 
				 */
				public ValueDomain ;
				/**
				 * 
				 */
				public DimensionalDataStructure ;
};
