// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Identification;

import DDICore_40_PIM.Classes.RegularExpressions.IsoDateType;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.BasedOnObjectInformation;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.LocalIdFormat;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.RationaleDefinition;

/************************************************************/
/**
 * Definition
  * ============
  * Used to identify objects for purposes of internal and/or external referencing. Elements of this type are versioned and provide administrative metadata properties. Use for First Order Classes whose content does not need to be discoverable in its own right but needs to be related to multiple classes. 
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public abstract class Identifiable {
	/**
	 * This is the registered agency code with optional sub-agencies separated by dots. For example, diw.soep, ucl.qss, abs.essg.
	 */
	public String agency;
	/**
	 * The object/version that this object version is based on.
	 */
	public BasedOnObjectInformation basedOnObject;
	/**
	 * The ID of the object. This must conform to the allowed structure of the DDI Identifier and must be unique within the Agency.
	 */
	public String id;
	/**
	 * Default value is false. Usually the content of the current version is allowed to change, for example as the contributor is working on the object contents. However, when isPersistent is true, it indicates the there will be no more changes to the current version.
	 */
	public boolean isPersistent;
	/**
	 * Default value is false. Usually the combination of agency and id (ignoring different versions) is unique. If isUniversallyUnique is set to true, it indicates that the id itself is universally unique (unique across systems and/or agencies) and therefore the agency part is not required to ensure uniqueness.
	 */
	public boolean isUniversallyUnique;
	/**
	 * This is an identifier in a given local context that uniquely references an object, as opposed to the full ddi identifier which has an agency plus the id. For example, localId could be a variable name in a dataset.
	 */
	public LocalIdFormat[] localId;
	/**
	 * The version number of the object. The version number is incremented whenever the non-administrative metadata contained by the object changes.
	 */
	public String version;
	/**
	 * The date and time the object was changed. Supports standard ISO date and datetime formats.
	 */
	public IsoDateType versionDate;
	/**
	 * The reason for making this version of the object.
	 */
	public RationaleDefinition versionRationale;
	/**
	 * Contributor who has the ownership and responsibility for the current version.
	 */
	public String versionResponsibility;
};
