// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Conceptual.Concept;
import DDICore_40_PIM.Classes.Enumerations.CollectionType;
import DDICore_40_PIM.Classes.Identification.AnnotatedIdentifiable;
import DDICore_40_PIM.Classes.Representations.ClassificationIndex;
import DDICore_40_PIM.Classes.Representations.ClassificationSeriesRelationStructure;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ClassificationSeriesIndicator;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ObjectName;

/************************************************************/
/**
 * Definition
  * ============
  * collection of Classification Series related by being based on a common Concept
  * 
  * Examples
  * ==========
  * A family of industrial classifications each a separate series (i.e. U.S. Standard Industrial Classification (SIC) and North American Industrial Classification System (NAICS)
  * 
  * Explanatory notes
  * ===================
  * Different classification databases may use different types of Classification Families and have different names for the families, as no standard has been agreed upon. [GSIM1.1] This is documented by the definingConcept relationship   (e.g. economic activity).[GSIM1.1]
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Classification Family
 */
public class ClassificationFamily extends AnnotatedIdentifiable
 {
				/**
				 * Allows for the identification of the member Classification Series and optionally provides an index for the member within an ordered array
				 */
				public ClassificationSeriesIndicator[] contains;
				/**
				 * If members are ordered set to true, if unordered set to false.
				 */
				public boolean isOrdered;
				/**
				 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.
				 */
				public ObjectName[] name;
				/**
				 * 
				 */
				public Concept[] ;
				/**
				 * 
				 */
				public ClassificationSeriesRelationStructure[] ;
				/**
				 * 
				 */
				public ClassificationIndex[] ;
				/**
				 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
				 */
				public InternationalStructuredString purpose;
				/**
				 * Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.
				 */
				public CollectionType type;
};
