// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

import DDICore_40_PIM.DataTypes.StructuredDataTypes.DateRange;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ObjectName;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.SpatialPoint;

/************************************************************/
/**
 * Definition
  * ============
  * Location address identifying each part of the address as separate elements, identifying the type of address, the level of privacy associated with the release of the address, and a flag to identify the preferred address for contact.
  * 
  * Examples
  * ==========
  * For example:
  * 1.  OFFICE, ABS HOUSE, 45 Benjamin Way, Belconnen, Canberra, ACT, 2617, AU
  * 2.  OFFICE, Institute of Education, 20 Bedford Way, London, WC1H 0AL, UK
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * a:AddressType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class Address {
	/**
	 * City, place, or local area used as part of an address.
	 */
	public String cityPlaceLocal;
	/**
	 * Country of the location
	 */
	public ExternalControlledVocabularyEntry countryCode;
	/**
	 * Clarifies when the identification information is accurate.
	 */
	public DateRange effectiveDates;
	/**
	 * Geographic coordinates corresponding to the address.
	 */
	public SpatialPoint geographicPoint;
	/**
	 * Set to "true" if this is the preferred location for contacting the organization or individual.
	 */
	public boolean isPreferred;
	/**
	 * Number and street including office or suite number. May use multiple lines.
	 */
	public String[] line;
	/**
	 * Name of the location if applicable.
	 */
	public ObjectName locationName;
	/**
	 * Postal or ZIP Code
	 */
	public String postalCode;
	/**
	 * Specify the level privacy for the address as public, restricted, or private. Supports the use of an external controlled vocabulary
	 */
	public ExternalControlledVocabularyEntry privacy;
	/**
	 * The region covered by the agent at this address
	 */
	public ExternalControlledVocabularyEntry regionalCoverage;
	/**
	 * A major subnational division such as a state or province used to identify a major region within an address.
	 */
	public String stateProvince;
	/**
	 * Time zone of the location expressed as code.
	 */
	public ExternalControlledVocabularyEntry timeZone;
	/**
	 * Indicates address type (i.e. home, office, mailing, etc.)
	 */
	public ExternalControlledVocabularyEntry typeOfAddress;
	/**
	 * The type or purpose of the location (i.e. regional office, distribution center, home)
	 */
	public ExternalControlledVocabularyEntry typeOfLocation;
};
