// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

import DDICore_40_PIM.Classes.Representations.Designation;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.Statistic;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ValueString;

/************************************************************/
/**
 * Definition
  * ============
  * Statistics related to a specific category of an InstanceVariable within a data set.
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * pi:CategoryStatisticType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class CategoryStatistic {
				/**
				 * Value of the category to which the statistics apply
				 */
				public ValueString categoryValue;
				/**
				 * The value of the filter variable to which the category statistic is restricted
				 */
				public ValueString filterValue;
				/**
				 * The value of the identified type of statistic for the category. May be repeated to provide unweighted or weighted values and different computation bases.
				 */
				public Statistic[] hasStatistic;
				/**
				 * 
				 */
				public Designation ;
				/**
				 * Type of category statistic. Supports the use of an external controlled vocabulary. DDI strongly recommends the use of a controlled vocabulary.
				 */
				public ExternalControlledVocabularyEntry typeOfCategoryStatistic;
};
