// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

import DDICore_40_PIM.Classes.Conceptual.Concept;
import DDICore_40_PIM.Classes.Enumerations.RelationSpecification;
import DDICore_40_PIM.Classes.Enumerations.TotalityType;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;

/************************************************************/
/**
 * Definition
  * ============
  * Specifies the relationship between concepts in a collection of concepts. Use controlled vocabulary provided in hasRelationSpecification to identify the type of relationship (e.g. ParentChild, WholePart, etc.)
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class ConceptRelation {
				/**
				 * RelationSpecification Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list
				 */
				public RelationSpecification hasRelationSpecification;
				/**
				 * 
				 */
				public Concept ;
				/**
				 * 
				 */
				public Concept ;
				/**
				 * Provides semantic context for the relationship
				 */
				public ExternalControlledVocabularyEntry semantic;
				/**
				 * type of relation in terms of totality with respect to an associated collection.
				 */
				public TotalityType totality;
};
